%global real_name HTML-Parser
%global momorel 1
%global md5sum_src0 75eb683f1fb7aa7c0ffa46ded4564b54

Summary: 	HTML-Parser module for perl (World_Wide_Web_HTML_HTTP_CGI/HTML)
Name: 		perl-HTML-Parser
Version: 	3.55
Release: 	%{momorel}m
License: 	GPL or Artistic
Group: 		Development/Languages
%NoSource 0 http://www.cpan.org/modules/by-module/HTML/%{real_name}-%{version}.tar.gz %{md5sum_src0}
### Patch: HTML-Parser-3.32-unicode.patch
URL: 		http://www.cpan.org/modules/by-module/HTML/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.8.5
BuildRequires: perl-HTML-Tagset >= 3.04-1m

%description
HTML-Parser module for perl to parse and extract information
from HTML documents.

%prep
%setup -q -n %{real_name}-%{version}
##%%patch -p1

%build
CFLAGS="%optflags" perl Makefile.PL
make
make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm %{buildroot}%{perl_sitearch}/auto/HTML/Parser/.packlist

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO Changes
%{_mandir}/man3/*
%{perl_sitearch}/auto/HTML
%{perl_sitearch}/HTML


%changelog
* Sat Jul 29 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.55-1m)
- update to 3.55

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.54-1m)
- update to 3.54

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.48-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (3.48-1m)
- update to 3.48

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.45-1m)
- version up to 3.45
- built against perl-5.8.7
- built against perl-HTML-Tagset >= 3.04-1m
- removed Patch HTML-Parser-3.32-unicode.patch

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.36-3m)
- rebuild against perl-5.8.5
- rebuild against perl-HTML-Tagset >= 3.03-13m

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.36-2m)
- remove Epoch from BuildPrereq

* Tue Apr 20 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.36-1m)
- update to 3.36

* Fri Jan 30 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.35-1m)
- update to 3.35

* Mon Nov 17 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.34-2m)
- fix version: BTS report id=3

* Sun Nov 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.34-1m)

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.33-4m)
- rebuild against perl-5.8.2
- rebuild against perl-HTML-Tagset 3.03-12m

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.33-3m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (3.33-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Fri Oct 24 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.33-1m)
- update to 3.33

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.32-2m)
- kill %%define name
- kill %%define version 

* Sun Oct 12 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.32-1m)
- update to 3.32
- modify Patch to fit HTML-Parser-3.32

* Wed Aug  6 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.28-1m)
- update to 3.28

* Sun Jan 26 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.27-1m)

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.26-4m)
- rebuild against perl-5.8.0

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.26-3m)
- remove BuildPreReq: gcc2.95.3

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (3.26-2k)
- ver up.

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (3.25-6k)
- rebuild against for perl-5.6.1

* Mon Sep 17 2001 Toru Hoshina <toru@df-usa.com>
- (3.25-4k)
- no mode fixpack...

* Sat Sep 15 2001 Toru Hoshina <t@kondara.org>
- (3.25-2k)
- merge from rawhide. based on 3.25-2.

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 3.25-2
- imported from mandrake. tweaked man path.

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 3.25-1mdk
- 3.25.

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 3.18-3mdk
- Fixed distribution tag.
- Updated Requires.
- Added an option to %makeinstall.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.18-2mdk
- Rebuild against the latest perl.

* Tue Feb 27 2001 Franois Pons <fpons@mandrakesoft.com> 3.18-1mdk
- 3.18.

* Tue Jan 30 2001 Franois Pons <fpons@mandrakesoft.com> 3.15-1mdk
- 3.15.

* Tue Dec 05 2000 Franois Pons <fpons@mandrakesoft.com> 3.14-1mdk
- 3.14.

* Thu Oct 12 2000 Franois Pons <fpons@mandrakesoft.com> 3.13-1mdk
- 3.13.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 3.11-1mdk
- 3.11.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 3.10-2mdk
- macroszifications.
- add doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 3.10-1mdk
- removed perllocal.pod from files.
- 3.10.

* Tue Jun 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.08-1mdk
- update to 3.08

* Wed May 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.05-4mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 3.05-3mdk
- rebuild, new group, cleanup

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.0.5-1mdk
- upgrade to 3.05

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
-updated to 3.02

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources
- updated to 2.23

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
